Package: org.codehaus.groovy.classgen.asm.sc

## [Java] Class StaticTypesClosureWriter

- org.codehaus.groovy.classgen.asm.sc.StaticTypesClosureWriter

- Writer responsible for generating closure classes in statically compiled mode.

  Authors:
    Cedric Champeau

- - ### Constructor Summary

    Constructors
    Constructor and description
    `StaticTypesClosureWriter (WriterController wc)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected ClassNode` | `createClosureClass(ClosureExpression expression, int mods)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ClosureWriter` | `addGeneratedClosureConstructorCall, createClosureClass, getClosureSharedVariables, getOrAddClosureClass, loadReference, writeClosure`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public StaticTypesClosureWriter(WriterController wc)

  - ### Method Detail

    - #### @Override protected ClassNode createClosureClass(ClosureExpression expression, int mods)